/**
 * Internet schemas for wireguard configuration.
 *
 * @since 1.0.0
 */
export * as InternetSchemas from "./InternetSchemas.js"

/**
 * Wireguard config schema definitions
 *
 * @since 1.0.0
 */
export * as WireguardConfig from "./WireguardConfig.js"

/**
 * Utilities for connecting to the Wireguard demo server at demo.wireguard.com
 *
 * @since 1.0.0
 * @see https://git.zx2c4.com/wireguard-tools/plain/contrib/ncat-client-server/client.sh
 */
export * as WireguardDemo from "./WireguardDemo.js"

/**
 * Wireguard errors
 *
 * @since 1.0.0
 */
export * as WireguardErrors from "./WireguardErrors.js"

/**
 * Wireguard interface helpers
 *
 * @since 1.0.0
 */
export * as WireguardInterface from "./WireguardInterface.js"

/**
 * Wireguard key schemas and helpers
 *
 * @since 1.0.0
 */
export * as WireguardKey from "./WireguardKey.js"

/**
 * Wireguard peer schema definitions
 *
 * @since 1.0.0
 */
export * as WireguardPeer from "./WireguardPeer.js"
